from app.api import bp_user

from flasgger import swag_from

from flask_jwt_extended import get_jwt_identity, jwt_required, get_jwt

from app.doc.user_swag import logout_swagger
from app.services.user import logout_service


@bp_user.route("/logout", methods=["DELETE"])
@swag_from(logout_swagger)
@jwt_required()
def logout():
    jwt = get_jwt()
    user_id = get_jwt_identity()

    result, status_code = logout_service.logout(jwt, user_id, True)

    return result, status_code
